Logs
AGH Logs HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
/api/logsQuery Parameters
Workspace id
Session id
Agent name
Event type
Task run id
Actor as kind:id
Actor kind
Actor id
Provider id projected at event write time
Event registry outcome
Event registry component
Return warning and failure outcomes only
Return rows after this event summary sequence
int32Only logs emitted since this timestamp
date-timeMaximum number of records to return
int32Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/logs"{
"events": [
{
"actor_id": "string",
"actor_kind": "string",
"agent_name": "string",
"claim_token_hash": "string",
"component": "string",
"content": null,
"coordinator_session_id": "string",
"hook_event": "string",
"hook_name": "string",
"id": "string",
"lease_until": "2019-08-24T14:15:22Z",
"outcome": "string",
"parent_session_id": "string",
"provider": "string",
"release_reason": "string",
"root_session_id": "string",
"run_id": "string",
"scheduler_reason": "string",
"session_id": "string",
"spawn_depth": 0,
"summary": "string",
"task_id": "string",
"timestamp": "2019-08-24T14:15:22Z",
"type": "string",
"workflow_id": "string",
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/logs/streamQuery Parameters
Workspace id
Session id
Agent name
Event type
Task run id
Actor as kind:id
Actor kind
Actor id
Provider id projected at event write time
Event registry outcome
Event registry component
Return warning and failure outcomes only
Return rows after this event summary sequence
int32Only logs emitted since this timestamp
date-timeMaximum number of records to return
int32Response Body
text/event-stream
application/json
application/json
curl -X GET "https://example.com/api/logs/stream"{
"actor_id": "string",
"actor_kind": "string",
"agent_name": "string",
"claim_token_hash": "string",
"component": "string",
"content": null,
"coordinator_session_id": "string",
"hook_event": "string",
"hook_name": "string",
"id": "string",
"lease_until": "2019-08-24T14:15:22Z",
"outcome": "string",
"parent_session_id": "string",
"provider": "string",
"release_reason": "string",
"root_session_id": "string",
"run_id": "string",
"scheduler_reason": "string",
"session_id": "string",
"spawn_depth": 0,
"summary": "string",
"task_id": "string",
"timestamp": "2019-08-24T14:15:22Z",
"type": "string",
"workflow_id": "string",
"workspace_id": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}